import request from '@/utils/request'

// 查询充电桩运营商信息列表
export function listMerchant(query) {
  return request({
    url: '/pile/merchant/list',
    method: 'get',
    params: query
  })
}

// 查询充电桩运营商信息详细
export function getMerchant(id) {
  return request({
    url: '/pile/merchant/' + id,
    method: 'get'
  })
}

// 新增充电桩运营商信息
export function addMerchant(data) {
  return request({
    url: '/pile/merchant',
    method: 'post',
    data: data
  })
}

// 修改充电桩运营商信息
export function updateMerchant(data) {
  return request({
    url: '/pile/merchant',
    method: 'put',
    data: data
  })
}

// 删除充电桩运营商信息
export function delMerchant(id) {
  return request({
    url: '/pile/merchant/' + id,
    method: 'delete'
  })
}

// 获取运营商列表 不分页
export function getMerchantList(query) {
  return request({
    url: '/pile/merchant/getMerchantList',
    method: 'get',
    params: query
  })
}
